*( SQLXDUPE.CMD--Delete duplicates)
*( based on a set of columns.)
SET BELL OFF
DROP CURSOR c1
DECLARE c1 CURSOR FOR +
  SELECT transid, custid, empid +
  FROM transmaster WHERE transid IN +
    (SELECT transid FROM transmaster +
    GROUP BY transid, custid, empid +
    HAVING COUNT(*) > 1 ) +
  GROUP BY transid, custid, empid
OPEN c1
FETCH c1 INTO vtransid vitrans, +
  vcustid vicust, vempid viemp
WHILE SQLCODE <> 100 THEN
  DELETE ROW FROM transmaster +
    WHERE transid=.vtransid AND +
    custid=.vcustid AND empid = .vempid +
    AND COUNT > 1
  FETCH c1 INTO vtransid vitrans, +
    vcustid vicust, vempid viemp
ENDWHILE
CLEAR VAR vtransid, vitrans, vcustid, +
  vicust, vempid, viemp

